<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2012-2015 Arne Schwabe
  ~ Distributed under the GNU GPL v2 with additional terms. For full terms see the file doc/LICENSE.txt
  -->

<menu xmlns:android="http://schemas.android.com/apk/res/android"
      xmlns:app="http://schemas.android.com/apk/res-auto">
    <item
        android:id="@+id/app_search_widget"

        app:actionViewClass="android.widget.SearchView"
        app:showAsAction="always"

        android:icon="@drawable/ic_search_white_24dp"
        android:title="@string/Search"/>

        <!-- Start - Route1 Stuffs
            Since I am using AppCompatActivity, to avoid having getActionView()
            returning null in Settings_Allowed_Apps.onCreateOptionsMenu(),
            in the above section, I needed:
            to add:
                xmlns:app="http://schemas.android.com/apk/res-auto"
            and to replace:
                android:actionViewClass="android.widget.SearchView"
                android:showAsAction="always"
            with:
                app:actionViewClass="android.widget.SearchView"
                app:showAsAction="always"
        End - Route1 Stuffs -->

    <item
        android:id="@+id/help"
        android:icon="@drawable/help"
        android:orderInCategory="101"
        android:title="@string/help"
        app:showAsAction="ifRoom"/>

</menu>